"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateDisplayNewFormat = void 0;
// For Formats Like
// if input 05 consider as month and datedisp=01/05/2022
// if input 0522 consider as month and year and datedisp=01/05/2022
// if input 040522 consider as date and month and year datedisp=04/05/2022
const visualDateToDB_1 = require("./visualDateToDB");
const onlyTexts = new RegExp('^[0-9]*$');
const dateDisplayNewFormat = (date) => {
    let trDate = date === null || date === void 0 ? void 0 : date.toString();
    let displayDate, dataDate;
    if (onlyTexts.test(trDate)) {
        if (trDate) {
            if ((trDate === null || trDate === void 0 ? void 0 : trDate.length) >= 8) {
                const dd = trDate.slice(6);
                const mm = trDate.slice(4, 6);
                const yy = trDate.slice(0, 4);
                if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    displayDate = dd.toString() + '/' + mm + '/' + yy;
                    dataDate = yy.toString() + mm.toString() + dd.toString();
                    return { dispDate: displayDate, dataDate: dataDate };
                }
            }
            else if ((trDate === null || trDate === void 0 ? void 0 : trDate.length) == 8) {
                const dd = trDate.slice(0, 2);
                const mm = trDate.slice(2, 4);
                const yy = trDate.slice(4, 8);
                if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    displayDate = dd.toString() + '/' + mm + '/' + yy;
                    dataDate = yy.toString() + mm.toString() + dd.toString();
                    return { dispDate: displayDate, dataDate: dataDate };
                }
            }
            else if ((trDate === null || trDate === void 0 ? void 0 : trDate.length) >= 5) {
                const dd = trDate.slice(0, 2);
                const mm = trDate.slice(2, 4);
                const yy = trDate.slice(4);
                if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    displayDate = dd.toString() + '/' + mm + '/' + '20' + yy;
                    dataDate = '20' + yy.toString() + mm.toString() + dd.toString();
                    return { dispDate: displayDate, dataDate: dataDate };
                }
            }
            else if ((trDate === null || trDate === void 0 ? void 0 : trDate.length) >= 4) {
                const dd = '01';
                const mm = trDate.slice(0, 2);
                const yy = trDate.slice(2);
                console.log("first==", mm, "ff", yy);
                if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    displayDate = dd.toString() + '/' + mm + '/' + '20' + yy;
                    dataDate = '20' + yy.toString() + mm.toString() + dd.toString();
                    return { dispDate: displayDate, dataDate: dataDate };
                }
            }
            else if ((trDate === null || trDate === void 0 ? void 0 : trDate.length) >= 2) {
                const d = new Date();
                const dd = '01';
                const mm = trDate.slice(0);
                const yy = d.getFullYear();
                if (Number(mm) > 12) {
                    return { dispDate: trDate, dataDate: trDate };
                }
                else {
                    displayDate = dd.toString() + '/' + mm + '/' + yy;
                    dataDate = yy.toString() + mm.toString() + dd.toString();
                    return { dispDate: displayDate, dataDate: dataDate };
                }
            }
            else
                return { dispDate: trDate, dataDate: trDate };
        }
        else {
            return { dispDate: trDate, dataDate: trDate };
        }
    }
    else {
        return { dispDate: trDate, dataDate: (0, visualDateToDB_1.visualDateToDB)(trDate) };
    }
};
exports.dateDisplayNewFormat = dateDisplayNewFormat;
//# sourceMappingURL=dateConverterNew.js.map