"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RAuth = void 0;
const react_1 = __importDefault(require("react"));
const Auth_1 = require("./Auth");
const DefaultLoadingScreen_1 = __importDefault(require("./components/DefaultLoadingScreen"));
const AutoLoginBrowser_1 = __importDefault(require("./utils/AutoLoginBrowser"));
const RAuth = ({ BeforeSignInComponent, AfterSignInComponent, autoLogin = false, // default AutoLogin False,
LoadingScreen = react_1.default.createElement(DefaultLoadingScreen_1.default, null), isLoadingInitially = false, splashScreenTime = 3000, }) => {
    return (react_1.default.createElement(Auth_1.Auth, { autoLogin: autoLogin, AutoLoginComponent: react_1.default.createElement(AutoLoginBrowser_1.default, null), AfterSignInComponent: AfterSignInComponent, BeforeSignInComponent: BeforeSignInComponent, isLoadingInitially: isLoadingInitially, LoadingScreen: LoadingScreen, splashScreenTime: splashScreenTime }));
};
exports.RAuth = RAuth;
//# sourceMappingURL=RAuth.js.map