"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_hook_form_1 = require("react-hook-form");
const Auth_1 = require("../Auth/Auth");
const Login = () => {
    const loginForm = (0, react_hook_form_1.useForm)();
    const auth = (0, Auth_1.useAuth)();
    const onSubmit = () => {
        auth.signIn({ recno: 1 });
    };
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("form", { onSubmit: loginForm.handleSubmit(onSubmit) },
            react_1.default.createElement("input", Object.assign({}, loginForm.register("username"), { placeholder: "User Name" })),
            react_1.default.createElement("input", Object.assign({}, loginForm.register("password"), { placeholder: "Password", type: "password", required: true })),
            react_1.default.createElement("button", { type: "submit", "data-testid": "submit" }, "Sign In"))));
};
exports.default = Login;
//# sourceMappingURL=Login.js.map