/**
 * @jest-environment jsdom
 */
import '@testing-library/jest-dom';
import { render, screen, fireEvent } from '@testing-library/react';
import React from 'react';
import { DefaultAuth } from "./DefaultAuth";
import { DemoAfterSignInComponent } from "./Examples/DemoAfterSignInComponent";
test('DefaultAuth Component renders correctly', () => {
    render(React.createElement(DefaultAuth, { autoLogin: false, AfterSignInComponent: React.createElement(DemoAfterSignInComponent, null) }));
    const linkElement = screen.getByTestId(/submit/i);
    expect(linkElement).toBeVisible();
    fireEvent.click(linkElement);
    expect(screen.getByText(/Please/i)).toBeVisible();
});
//# sourceMappingURL=DefaultAuth.test.js.map