import React, { useState } from 'react';
export const SearchableArrayRenderer = ({ RenderItem, array, searchWith }) => {
    const [currentArray, setCurrentArray] = useState(array);
    const onChangeHandler = (e) => {
        setCurrentArray(array.filter(i => i[searchWith].indexOf(e.target.value) !== -1));
    };
    return (React.createElement("div", null,
        React.createElement("input", { onBlur: onChangeHandler, placeholder: "Search" }),
        currentArray.map((item, index) => (
        // @ts-ignore
        React.createElement(RenderItem, Object.assign({}, item))))));
};
//# sourceMappingURL=SearchableArrayRenderer.js.map